Skip to content

List notifications

GET
/notifications
curl --request GET \
--url 'https://sylve.lan:8181/api/notifications?scope=active&limit=50&offset=0' \
--header 'Authorization: <Authorization>'

List active or all notifications using bounded offset pagination

scope
string
default: active
Allowed values: active all

Notification scope

limit
integer
default: 50 >= 1 <= 500

Maximum notifications to return

offset
integer
0

Number of notifications to skip

Success

Media typeapplication/json
object
data
object
items
Array<object>
object
body
string
createdAt
string
dismissedAt
string
fingerprint
string
firstOccurredAt
string
id
integer
kind
string
lastOccurredAt
string
metadata
object
key
additional properties
string
occurrenceCount
integer
severity
string
Allowed values: info warning error critical
source
string
title
string
updatedAt
string
total
integer
error
string
message
string
status
string
Example
{
"data": {
"items": [
{
"severity": "info"
}
]
}
}

Bad Request

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Unauthorized

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Internal Server Error

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}